第1章 APIs
You can access APIs for to create and manage application resources, channels, subscriptions, and to query information.
For more information, review the API documentation for each of the following resources:
1.1. Clusters API リンクのコピーリンクがクリップボードにコピーされました!
1.1.1. Overview リンクのコピーリンクがクリップボードにコピーされました!
This documentation is for the cluster resource for Red Hat Advanced Cluster Management for Kubernetes. Cluster resource has four possible requests: create, query, delete and update.
1.1.1.1. Version information リンクのコピーリンクがクリップボードにコピーされました!
Version : 2.0.0
1.1.1.2. Contact information リンクのコピーリンクがクリップボードにコピーされました!
Contact Email : apiteam@swagger.io
1.1.1.3. License information リンクのコピーリンクがクリップボードにコピーされました!
License : Apache 2.0
License URL : http://www.apache.org/licenses/LICENSE-2.0.html
Terms of service : http://swagger.io/terms/
1.1.1.4. URI scheme リンクのコピーリンクがクリップボードにコピーされました!
BasePath : /kubernetes/apis
Schemes : HTTPS
1.1.1.5. Tags リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io : Create and manage clusters
1.1.1.6. External Docs リンクのコピーリンクがクリップボードにコピーされました!
Description : Find out more about Swagger.
URL : http://swagger.io
1.1.2. Paths リンクのコピーリンクがクリップボードにコピーされました!
1.1.2.1. Query all clusters リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1/managedclusters
GET /cluster.open-cluster-management.io/v1/managedclusters
1.1.2.1.1. Description リンクのコピーリンクがクリップボードにコピーされました!
Query your clusters for more details.
1.1.2.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
1.1.2.1.3. Responses リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.1.4. Consumes リンクのコピーリンクがクリップボードにコピーされました!
-
cluster/yaml
1.1.2.1.5. Tags リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.1.2.2. Create a cluster リンクのコピーリンクがクリップボードにコピーされました!
POST /cluster.open-cluster-management.io/v1/managedclusters
POST /cluster.open-cluster-management.io/v1/managedclusters
1.1.2.2.1. Description リンクのコピーリンクがクリップボードにコピーされました!
Create a cluster
1.1.2.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the cluster to be created. |
1.1.2.2.3. Responses リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.2.4. Consumes リンクのコピーリンクがクリップボードにコピーされました!
-
cluster/yaml
1.1.2.2.5. Tags リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.1.2.2.6. Example HTTP request リンクのコピーリンクがクリップボードにコピーされました!
1.1.2.2.6.1. Request body リンクのコピーリンクがクリップボードにコピーされました!
1.1.2.3. Query a single cluster リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
1.1.2.3.1. Description リンクのコピーリンクがクリップボードにコピーされました!
Query a single cluster for more details.
1.1.2.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
cluster_name | Name of the cluster that you want to query. | string |
1.1.2.3.3. Responses リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.3.4. Tags リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.1.2.4. Delete a cluster リンクのコピーリンクがクリップボードにコピーされました!
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
1.1.2.4.1. Description リンクのコピーリンクがクリップボードにコピーされました!
Delete a single cluster
1.1.2.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
cluster_name | Name of the cluster that you want to delete. | string |
1.1.2.4.3. Responses リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
1.1.2.4.4. Tags リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.1.3. Definitions リンクのコピーリンクがクリップボードにコピーされました!
1.1.3.1. Cluster リンクのコピーリンクがクリップボードにコピーされました!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Schema |
|---|---|
|
hubAcceptsClient | bool |
|
managedClusterClientConfigs | < managedClusterClientConfigs > array |
|
leaseDurationSeconds | integer (int32) |
managedClusterClientConfigs
| Name | Description | Schema |
|---|---|---|
|
URL | string | |
|
CABundle |
Pattern : | string (byte) |